Changeset 143301


Ignore:
Timestamp:
Dec 9, 2015, 11:58:28 PM (4 years ago)
Author:
dstrubbe@…
Message:

fftw-3: Ticket #49373, with maintainer approval. Add new variant with patches that are recommended for use as a dependency for pfft, a new port I added. Also, add configure arg to allow test phase to work with mpi variant.

Location:
trunk/dports/math/fftw-3
Files:
1 added
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/math/fftw-3/Portfile

    r131306 r143301  
    5151    leopard-no-memalign.patch
    5252
     53variant pfft_patches description {Apply patches recommended for use as dependency of pfft port} {
     54    if {![mpi_variant_isset]} {
     55        ui_warn "Variant +pfft_patches has no effect without setting an MPI variant."
     56    }
     57
     58    # Cut from scripts at https://www-user.tu-chemnitz.de/~potts/workgroup/pippig/software.php.en#fftwinstall,
     59    #Important: Within these scripts we apply the following patches that have been submitted to FFTW but are not yet included in FFTW-3.3.4:
     60    #  We add two more global transposition algorithms to the planner.
     61    #  We patch file mpi/transpose-pairwise.c in order to fix a double free bug.
     62    patchfiles-append patch-pfft.diff
     63
     64    # mpi/Makefile.am is modified, and effects are complicated to emulate with a patch to mpi/Makefile.in
     65    use_autoreconf yes
     66}
     67
    5368# don't change configure.cc, etc. since we'll take care of that manually with
    5469# MPICC env var
     
    211226pre-configure {
    212227    if {[mpi_variant_isset]} {
    213         configure.env           MPICC=${mpi.cc}
     228        # MPIRUN is needed for test phase
     229        configure.env           MPICC=${mpi.cc} MPIRUN=${mpi.exec}
    214230        configure.args-append   --enable-mpi
    215231    }
Note: See TracChangeset for help on using the changeset viewer.